/****************************************************************************************************************************************************
 * Copyright (c) 2015 Freescale Semiconductor, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 *    * Redistributions of source code must retain the above copyright notice,
 *      this list of conditions and the following disclaimer.
 *
 *    * Redistributions in binary form must reproduce the above copyright notice,
 *      this list of conditions and the following disclaimer in the documentation
 *      and/or other materials provided with the distribution.
 *
 *    * Neither the name of the Freescale Semiconductor, Inc. nor the names of
 *      its contributors may be used to endorse or promote products derived from
 *      this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
 * OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 ****************************************************************************************************************************************************/

#include <DFNativeBatch2DShared/MainAtlas.hpp>
#include <cassert>

namespace Fsl
{
  namespace
  {
    NamedAtlasTexture g_entries[] =
    {
      NamedAtlasTexture("Fill", AtlasTextureInfo(Rectangle(109, 185, 32, 32), Rectangle(109, 185, 32, 32))),
      NamedAtlasTexture("FontChars_Font/21", AtlasTextureInfo(Rectangle(48, 414, 18, 38), Rectangle(48, 414, 18, 38))),
      NamedAtlasTexture("FontChars_Font/22", AtlasTextureInfo(Rectangle(173, 348, 26, 25), Rectangle(173, 348, 26, 25))),
      NamedAtlasTexture("FontChars_Font/23", AtlasTextureInfo(Rectangle(221, 241, 31, 38), Rectangle(221, 241, 31, 38))),
      NamedAtlasTexture("FontChars_Font/24", AtlasTextureInfo(Rectangle(331, 328, 29, 44), Rectangle(331, 328, 29, 44))),
      NamedAtlasTexture("FontChars_Font/25", AtlasTextureInfo(Rectangle(445, 187, 41, 39), Rectangle(445, 187, 41, 39))),
      NamedAtlasTexture("FontChars_Font/26", AtlasTextureInfo(Rectangle(263, 147, 40, 39), Rectangle(263, 147, 40, 39))),
      NamedAtlasTexture("FontChars_Font/27", AtlasTextureInfo(Rectangle(73, 377, 18, 25), Rectangle(73, 377, 18, 25))),
      NamedAtlasTexture("FontChars_Font/28", AtlasTextureInfo(Rectangle(488, 209, 22, 49), Rectangle(488, 209, 22, 49))),
      NamedAtlasTexture("FontChars_Font/29", AtlasTextureInfo(Rectangle(343, 235, 22, 49), Rectangle(343, 235, 22, 49))),
      NamedAtlasTexture("FontChars_Font/2A", AtlasTextureInfo(Rectangle(173, 317, 27, 29), Rectangle(173, 317, 27, 29))),
      NamedAtlasTexture("FontChars_Font/2B", AtlasTextureInfo(Rectangle(367, 89, 34, 36), Rectangle(367, 89, 34, 36))),
      NamedAtlasTexture("FontChars_Font/2C", AtlasTextureInfo(Rectangle(120, 285, 18, 26), Rectangle(120, 285, 18, 26))),
      NamedAtlasTexture("FontChars_Font/2D", AtlasTextureInfo(Rectangle(108, 357, 23, 16), Rectangle(108, 357, 23, 16))),
      NamedAtlasTexture("FontChars_Font/2E", AtlasTextureInfo(Rectangle(136, 380, 18, 17), Rectangle(136, 380, 18, 17))),
      NamedAtlasTexture("FontChars_Font/2F", AtlasTextureInfo(Rectangle(2, 469, 28, 40), Rectangle(2, 469, 28, 40))),
      NamedAtlasTexture("FontChars_Font/30", AtlasTextureInfo(Rectangle(300, 372, 29, 39), Rectangle(300, 372, 29, 39))),
      NamedAtlasTexture("FontChars_Font/31", AtlasTextureInfo(Rectangle(118, 316, 22, 39), Rectangle(118, 316, 22, 39))),
      NamedAtlasTexture("FontChars_Font/32", AtlasTextureInfo(Rectangle(252, 376, 28, 39), Rectangle(252, 376, 28, 39))),
      NamedAtlasTexture("FontChars_Font/33", AtlasTextureInfo(Rectangle(300, 413, 28, 39), Rectangle(300, 413, 28, 39))),
      NamedAtlasTexture("FontChars_Font/34", AtlasTextureInfo(Rectangle(362, 359, 29, 39), Rectangle(362, 359, 29, 39))),
      NamedAtlasTexture("FontChars_Font/35", AtlasTextureInfo(Rectangle(55, 285, 28, 40), Rectangle(55, 285, 28, 40))),
      NamedAtlasTexture("FontChars_Font/36", AtlasTextureInfo(Rectangle(331, 374, 29, 39), Rectangle(331, 374, 29, 39))),
      NamedAtlasTexture("FontChars_Font/37", AtlasTextureInfo(Rectangle(32, 469, 28, 40), Rectangle(32, 469, 28, 40))),
      NamedAtlasTexture("FontChars_Font/38", AtlasTextureInfo(Rectangle(142, 279, 29, 39), Rectangle(142, 279, 29, 39))),
      NamedAtlasTexture("FontChars_Font/39", AtlasTextureInfo(Rectangle(142, 320, 29, 39), Rectangle(142, 320, 29, 39))),
      NamedAtlasTexture("FontChars_Font/3A", AtlasTextureInfo(Rectangle(68, 420, 18, 30), Rectangle(68, 420, 18, 30))),
      NamedAtlasTexture("FontChars_Font/3B", AtlasTextureInfo(Rectangle(201, 363, 18, 39), Rectangle(201, 363, 18, 39))),
      NamedAtlasTexture("FontChars_Font/3C", AtlasTextureInfo(Rectangle(435, 338, 32, 33), Rectangle(435, 338, 32, 33))),
      NamedAtlasTexture("FontChars_Font/3D", AtlasTextureInfo(Rectangle(367, 127, 34, 21), Rectangle(367, 127, 34, 21))),
      NamedAtlasTexture("FontChars_Font/3E", AtlasTextureInfo(Rectangle(469, 351, 32, 33), Rectangle(469, 351, 32, 33))),
      NamedAtlasTexture("FontChars_Font/3F", AtlasTextureInfo(Rectangle(176, 185, 24, 39), Rectangle(176, 185, 24, 39))),
      NamedAtlasTexture("FontChars_Font/40", AtlasTextureInfo(Rectangle(457, 49, 49, 52), Rectangle(457, 49, 49, 52))),
      NamedAtlasTexture("FontChars_Font/41", AtlasTextureInfo(Rectangle(452, 103, 46, 45), Rectangle(452, 103, 46, 45))),
      NamedAtlasTexture("FontChars_Font/42", AtlasTextureInfo(Rectangle(479, 260, 31, 45), Rectangle(479, 260, 31, 45))),
      NamedAtlasTexture("FontChars_Font/43", AtlasTextureInfo(Rectangle(263, 188, 38, 45), Rectangle(263, 188, 38, 45))),
      NamedAtlasTexture("FontChars_Font/44", AtlasTextureInfo(Rectangle(261, 235, 37, 45), Rectangle(261, 235, 37, 45))),
      NamedAtlasTexture("FontChars_Font/45", AtlasTextureInfo(Rectangle(367, 268, 32, 45), Rectangle(367, 268, 32, 45))),
      NamedAtlasTexture("FontChars_Font/46", AtlasTextureInfo(Rectangle(253, 329, 29, 45), Rectangle(253, 329, 29, 45))),
      NamedAtlasTexture("FontChars_Font/47", AtlasTextureInfo(Rectangle(266, 100, 42, 45), Rectangle(266, 100, 42, 45))),
      NamedAtlasTexture("FontChars_Font/48", AtlasTextureInfo(Rectangle(221, 194, 38, 45), Rectangle(221, 194, 38, 45))),
      NamedAtlasTexture("FontChars_Font/49", AtlasTextureInfo(Rectangle(29, 317, 18, 45), Rectangle(29, 317, 18, 45))),
      NamedAtlasTexture("FontChars_Font/4A", AtlasTextureInfo(Rectangle(175, 263, 25, 52), Rectangle(175, 263, 25, 52))),
      NamedAtlasTexture("FontChars_Font/4B", AtlasTextureInfo(Rectangle(303, 220, 38, 45), Rectangle(303, 220, 38, 45))),
      NamedAtlasTexture("FontChars_Font/4C", AtlasTextureInfo(Rectangle(143, 185, 31, 45), Rectangle(143, 185, 31, 45))),
      NamedAtlasTexture("FontChars_Font/4D", AtlasTextureInfo(Rectangle(457, 2, 50, 45), Rectangle(457, 2, 50, 45))),
      NamedAtlasTexture("FontChars_Font/4E", AtlasTextureInfo(Rectangle(221, 100, 43, 45), Rectangle(221, 100, 43, 45))),
      NamedAtlasTexture("FontChars_Font/4F", AtlasTextureInfo(Rectangle(319, 89, 46, 45), Rectangle(319, 89, 46, 45))),
      NamedAtlasTexture("FontChars_Font/50", AtlasTextureInfo(Rectangle(440, 291, 32, 45), Rectangle(440, 291, 32, 45))),
      NamedAtlasTexture("FontChars_Font/51", AtlasTextureInfo(Rectangle(403, 50, 47, 52), Rectangle(403, 50, 47, 52))),
      NamedAtlasTexture("FontChars_Font/52", AtlasTextureInfo(Rectangle(441, 228, 36, 45), Rectangle(441, 228, 36, 45))),
      NamedAtlasTexture("FontChars_Font/53", AtlasTextureInfo(Rectangle(300, 325, 29, 45), Rectangle(300, 325, 29, 45))),
      NamedAtlasTexture("FontChars_Font/54", AtlasTextureInfo(Rectangle(402, 198, 37, 45), Rectangle(402, 198, 37, 45))),
      NamedAtlasTexture("FontChars_Font/55", AtlasTextureInfo(Rectangle(221, 147, 40, 45), Rectangle(221, 147, 40, 45))),
      NamedAtlasTexture("FontChars_Font/56", AtlasTextureInfo(Rectangle(403, 104, 44, 45), Rectangle(403, 104, 44, 45))),
      NamedAtlasTexture("FontChars_Font/57", AtlasTextureInfo(Rectangle(403, 2, 52, 46), Rectangle(403, 2, 52, 46))),
      NamedAtlasTexture("FontChars_Font/58", AtlasTextureInfo(Rectangle(402, 151, 41, 45), Rectangle(402, 151, 41, 45))),
      NamedAtlasTexture("FontChars_Font/59", AtlasTextureInfo(Rectangle(305, 173, 39, 45), Rectangle(305, 173, 39, 45))),
      NamedAtlasTexture("FontChars_Font/5A", AtlasTextureInfo(Rectangle(402, 245, 36, 45), Rectangle(402, 245, 36, 45))),
      NamedAtlasTexture("FontChars_Font/5B", AtlasTextureInfo(Rectangle(2, 365, 18, 47), Rectangle(2, 365, 18, 47))),
      NamedAtlasTexture("FontChars_Font/5C", AtlasTextureInfo(Rectangle(62, 468, 23, 40), Rectangle(62, 468, 23, 40))),
      NamedAtlasTexture("FontChars_Font/5D", AtlasTextureInfo(Rectangle(22, 365, 18, 47), Rectangle(22, 365, 18, 47))),
      NamedAtlasTexture("FontChars_Font/5E", AtlasTextureInfo(Rectangle(221, 365, 29, 28), Rectangle(221, 365, 29, 28))),
      NamedAtlasTexture("FontChars_Font/5F", AtlasTextureInfo(Rectangle(440, 275, 36, 14), Rectangle(440, 275, 36, 14))),
      NamedAtlasTexture("FontChars_Font/60", AtlasTextureInfo(Rectangle(93, 382, 18, 18), Rectangle(93, 382, 18, 18))),
      NamedAtlasTexture("FontChars_Font/61", AtlasTextureInfo(Rectangle(49, 327, 28, 35), Rectangle(49, 327, 28, 35))),
      NamedAtlasTexture("FontChars_Font/62", AtlasTextureInfo(Rectangle(109, 219, 31, 45), Rectangle(109, 219, 31, 45))),
      NamedAtlasTexture("FontChars_Font/63", AtlasTextureInfo(Rectangle(24, 279, 29, 35), Rectangle(24, 279, 29, 35))),
      NamedAtlasTexture("FontChars_Font/64", AtlasTextureInfo(Rectangle(142, 232, 31, 45), Rectangle(142, 232, 31, 45))),
      NamedAtlasTexture("FontChars_Font/65", AtlasTextureInfo(Rectangle(42, 377, 29, 35), Rectangle(42, 377, 29, 35))),
      NamedAtlasTexture("FontChars_Font/66", AtlasTextureInfo(Rectangle(2, 317, 25, 45), Rectangle(2, 317, 25, 45))),
      NamedAtlasTexture("FontChars_Font/67", AtlasTextureInfo(Rectangle(474, 307, 32, 42), Rectangle(474, 307, 32, 42))),
      NamedAtlasTexture("FontChars_Font/68", AtlasTextureInfo(Rectangle(254, 282, 30, 45), Rectangle(254, 282, 30, 45))),
      NamedAtlasTexture("FontChars_Font/69", AtlasTextureInfo(Rectangle(202, 136, 17, 44), Rectangle(202, 136, 17, 44))),
      NamedAtlasTexture("FontChars_Font/6A", AtlasTextureInfo(Rectangle(2, 264, 20, 51), Rectangle(2, 264, 20, 51))),
      NamedAtlasTexture("FontChars_Font/6B", AtlasTextureInfo(Rectangle(221, 318, 30, 45), Rectangle(221, 318, 30, 45))),
      NamedAtlasTexture("FontChars_Font/6C", AtlasTextureInfo(Rectangle(202, 89, 17, 45), Rectangle(202, 89, 17, 45))),
      NamedAtlasTexture("FontChars_Font/6D", AtlasTextureInfo(Rectangle(449, 150, 44, 35), Rectangle(449, 150, 44, 35))),
      NamedAtlasTexture("FontChars_Font/6E", AtlasTextureInfo(Rectangle(300, 288, 30, 35), Rectangle(300, 288, 30, 35))),
      NamedAtlasTexture("FontChars_Font/6F", AtlasTextureInfo(Rectangle(367, 194, 33, 35), Rectangle(367, 194, 33, 35))),
      NamedAtlasTexture("FontChars_Font/70", AtlasTextureInfo(Rectangle(401, 292, 32, 42), Rectangle(401, 292, 32, 42))),
      NamedAtlasTexture("FontChars_Font/71", AtlasTextureInfo(Rectangle(367, 315, 32, 42), Rectangle(367, 315, 32, 42))),
      NamedAtlasTexture("FontChars_Font/72", AtlasTextureInfo(Rectangle(93, 279, 25, 35), Rectangle(93, 279, 25, 35))),
      NamedAtlasTexture("FontChars_Font/73", AtlasTextureInfo(Rectangle(176, 226, 24, 35), Rectangle(176, 226, 24, 35))),
      NamedAtlasTexture("FontChars_Font/74", AtlasTextureInfo(Rectangle(339, 286, 26, 40), Rectangle(339, 286, 26, 40))),
      NamedAtlasTexture("FontChars_Font/75", AtlasTextureInfo(Rectangle(221, 281, 31, 35), Rectangle(221, 281, 31, 35))),
      NamedAtlasTexture("FontChars_Font/76", AtlasTextureInfo(Rectangle(401, 336, 32, 35), Rectangle(401, 336, 32, 35))),
      NamedAtlasTexture("FontChars_Font/77", AtlasTextureInfo(Rectangle(310, 136, 42, 35), Rectangle(310, 136, 42, 35))),
      NamedAtlasTexture("FontChars_Font/78", AtlasTextureInfo(Rectangle(367, 231, 33, 35), Rectangle(367, 231, 33, 35))),
      NamedAtlasTexture("FontChars_Font/79", AtlasTextureInfo(Rectangle(367, 150, 33, 42), Rectangle(367, 150, 33, 42))),
      NamedAtlasTexture("FontChars_Font/7A", AtlasTextureInfo(Rectangle(79, 327, 27, 35), Rectangle(79, 327, 27, 35))),
      NamedAtlasTexture("FontChars_Font/7B", AtlasTextureInfo(Rectangle(2, 415, 21, 52), Rectangle(2, 415, 21, 52))),
      NamedAtlasTexture("FontChars_Font/7C", AtlasTextureInfo(Rectangle(93, 171, 14, 40), Rectangle(93, 171, 14, 40))),
      NamedAtlasTexture("FontChars_Font/7D", AtlasTextureInfo(Rectangle(25, 415, 21, 52), Rectangle(25, 415, 21, 52))),
      NamedAtlasTexture("FontChars_Font/7E", AtlasTextureInfo(Rectangle(300, 267, 37, 19), Rectangle(300, 267, 37, 19))),
      NamedAtlasTexture("FontChars_SmallFont/21", AtlasTextureInfo(Rectangle(97, 364, 9, 16), Rectangle(97, 364, 9, 16))),
      NamedAtlasTexture("FontChars_SmallFont/22", AtlasTextureInfo(Rectangle(310, 123, 7, 7), Rectangle(310, 123, 7, 7))),
      NamedAtlasTexture("FontChars_SmallFont/23", AtlasTextureInfo(Rectangle(156, 396, 13, 15), Rectangle(156, 396, 13, 15))),
      NamedAtlasTexture("FontChars_SmallFont/24", AtlasTextureInfo(Rectangle(282, 377, 16, 21), Rectangle(282, 377, 16, 21))),
      NamedAtlasTexture("FontChars_SmallFont/25", AtlasTextureInfo(Rectangle(93, 213, 14, 17), Rectangle(93, 213, 14, 17))),
      NamedAtlasTexture("FontChars_SmallFont/26", AtlasTextureInfo(Rectangle(93, 232, 14, 16), Rectangle(93, 232, 14, 16))),
      NamedAtlasTexture("FontChars_SmallFont/27", AtlasTextureInfo(Rectangle(452, 50, 3, 7), Rectangle(452, 50, 3, 7))),
      NamedAtlasTexture("FontChars_SmallFont/28", AtlasTextureInfo(Rectangle(108, 327, 8, 20), Rectangle(108, 327, 8, 20))),
      NamedAtlasTexture("FontChars_SmallFont/29", AtlasTextureInfo(Rectangle(60, 264, 9, 19), Rectangle(60, 264, 9, 19))),
      NamedAtlasTexture("FontChars_SmallFont/2A", AtlasTextureInfo(Rectangle(71, 365, 10, 10), Rectangle(71, 365, 10, 10))),
      NamedAtlasTexture("FontChars_SmallFont/2B", AtlasTextureInfo(Rectangle(24, 266, 11, 11), Rectangle(24, 266, 11, 11))),
      NamedAtlasTexture("FontChars_SmallFont/2C", AtlasTextureInfo(Rectangle(479, 233, 4, 5), Rectangle(479, 233, 4, 5))),
      NamedAtlasTexture("FontChars_SmallFont/2D", AtlasTextureInfo(Rectangle(310, 132, 7, 2), Rectangle(310, 132, 7, 2))),
      NamedAtlasTexture("FontChars_SmallFont/2E", AtlasTextureInfo(Rectangle(479, 240, 4, 4), Rectangle(479, 240, 4, 4))),
      NamedAtlasTexture("FontChars_SmallFont/2F", AtlasTextureInfo(Rectangle(286, 282, 12, 19), Rectangle(286, 282, 12, 19))),
      NamedAtlasTexture("FontChars_SmallFont/30", AtlasTextureInfo(Rectangle(91, 404, 13, 14), Rectangle(91, 404, 13, 14))),
      NamedAtlasTexture("FontChars_SmallFont/31", AtlasTextureInfo(Rectangle(145, 399, 9, 15), Rectangle(145, 399, 9, 15))),
      NamedAtlasTexture("FontChars_SmallFont/32", AtlasTextureInfo(Rectangle(93, 250, 14, 14), Rectangle(93, 250, 14, 14))),
      NamedAtlasTexture("FontChars_SmallFont/33", AtlasTextureInfo(Rectangle(73, 404, 16, 14), Rectangle(73, 404, 16, 14))),
      NamedAtlasTexture("FontChars_SmallFont/34", AtlasTextureInfo(Rectangle(156, 379, 15, 15), Rectangle(156, 379, 15, 15))),
      NamedAtlasTexture("FontChars_SmallFont/35", AtlasTextureInfo(Rectangle(73, 452, 15, 14), Rectangle(73, 452, 15, 14))),
      NamedAtlasTexture("FontChars_SmallFont/36", AtlasTextureInfo(Rectangle(106, 404, 13, 14), Rectangle(106, 404, 13, 14))),
      NamedAtlasTexture("FontChars_SmallFont/37", AtlasTextureInfo(Rectangle(230, 414, 12, 15), Rectangle(230, 414, 12, 15))),
      NamedAtlasTexture("FontChars_SmallFont/38", AtlasTextureInfo(Rectangle(284, 345, 14, 14), Rectangle(284, 345, 14, 14))),
      NamedAtlasTexture("FontChars_SmallFont/39", AtlasTextureInfo(Rectangle(190, 422, 12, 15), Rectangle(190, 422, 12, 15))),
      NamedAtlasTexture("FontChars_SmallFont/3A", AtlasTextureInfo(Rectangle(310, 112, 7, 9), Rectangle(310, 112, 7, 9))),
      NamedAtlasTexture("FontChars_SmallFont/3B", AtlasTextureInfo(Rectangle(310, 100, 7, 10), Rectangle(310, 100, 7, 10))),
      NamedAtlasTexture("FontChars_SmallFont/3C", AtlasTextureInfo(Rectangle(47, 264, 11, 12), Rectangle(47, 264, 11, 12))),
      NamedAtlasTexture("FontChars_SmallFont/3D", AtlasTextureInfo(Rectangle(85, 317, 11, 7), Rectangle(85, 317, 11, 7))),
      NamedAtlasTexture("FontChars_SmallFont/3E", AtlasTextureInfo(Rectangle(48, 454, 11, 12), Rectangle(48, 454, 11, 12))),
      NamedAtlasTexture("FontChars_SmallFont/3F", AtlasTextureInfo(Rectangle(500, 145, 10, 16), Rectangle(500, 145, 10, 16))),
      NamedAtlasTexture("FontChars_SmallFont/40", AtlasTextureInfo(Rectangle(171, 412, 17, 15), Rectangle(171, 412, 17, 15))),
      NamedAtlasTexture("FontChars_SmallFont/41", AtlasTextureInfo(Rectangle(113, 380, 21, 17), Rectangle(113, 380, 21, 17))),
      NamedAtlasTexture("FontChars_SmallFont/42", AtlasTextureInfo(Rectangle(202, 327, 17, 16), Rectangle(202, 327, 17, 16))),
      NamedAtlasTexture("FontChars_SmallFont/43", AtlasTextureInfo(Rectangle(88, 420, 18, 19), Rectangle(88, 420, 18, 19))),
      NamedAtlasTexture("FontChars_SmallFont/44", AtlasTextureInfo(Rectangle(196, 404, 18, 16), Rectangle(196, 404, 18, 16))),
      NamedAtlasTexture("FontChars_SmallFont/45", AtlasTextureInfo(Rectangle(202, 250, 17, 18), Rectangle(202, 250, 17, 18))),
      NamedAtlasTexture("FontChars_SmallFont/46", AtlasTextureInfo(Rectangle(202, 228, 17, 20), Rectangle(202, 228, 17, 20))),
      NamedAtlasTexture("FontChars_SmallFont/47", AtlasTextureInfo(Rectangle(202, 182, 17, 21), Rectangle(202, 182, 17, 21))),
      NamedAtlasTexture("FontChars_SmallFont/48", AtlasTextureInfo(Rectangle(133, 361, 21, 17), Rectangle(133, 361, 21, 17))),
      NamedAtlasTexture("FontChars_SmallFont/49", AtlasTextureInfo(Rectangle(121, 417, 12, 16), Rectangle(121, 417, 12, 16))),
      NamedAtlasTexture("FontChars_SmallFont/4A", AtlasTextureInfo(Rectangle(495, 163, 15, 21), Rectangle(495, 163, 15, 21))),
      NamedAtlasTexture("FontChars_SmallFont/4B", AtlasTextureInfo(Rectangle(173, 393, 21, 17), Rectangle(173, 393, 21, 17))),
      NamedAtlasTexture("FontChars_SmallFont/4C", AtlasTextureInfo(Rectangle(346, 197, 19, 17), Rectangle(346, 197, 19, 17))),
      NamedAtlasTexture("FontChars_SmallFont/4D", AtlasTextureInfo(Rectangle(221, 395, 26, 17), Rectangle(221, 395, 26, 17))),
      NamedAtlasTexture("FontChars_SmallFont/4E", AtlasTextureInfo(Rectangle(346, 177, 19, 18), Rectangle(346, 177, 19, 18))),
      NamedAtlasTexture("FontChars_SmallFont/4F", AtlasTextureInfo(Rectangle(127, 399, 16, 16), Rectangle(127, 399, 16, 16))),
      NamedAtlasTexture("FontChars_SmallFont/50", AtlasTextureInfo(Rectangle(202, 270, 17, 17), Rectangle(202, 270, 17, 17))),
      NamedAtlasTexture("FontChars_SmallFont/51", AtlasTextureInfo(Rectangle(202, 289, 17, 17), Rectangle(202, 289, 17, 17))),
      NamedAtlasTexture("FontChars_SmallFont/52", AtlasTextureInfo(Rectangle(346, 216, 19, 17), Rectangle(346, 216, 19, 17))),
      NamedAtlasTexture("FontChars_SmallFont/53", AtlasTextureInfo(Rectangle(202, 345, 17, 16), Rectangle(202, 345, 17, 16))),
      NamedAtlasTexture("FontChars_SmallFont/54", AtlasTextureInfo(Rectangle(282, 400, 16, 18), Rectangle(282, 400, 16, 18))),
      NamedAtlasTexture("FontChars_SmallFont/55", AtlasTextureInfo(Rectangle(71, 264, 20, 16), Rectangle(71, 264, 20, 16))),
      NamedAtlasTexture("FontChars_SmallFont/56", AtlasTextureInfo(Rectangle(202, 308, 17, 17), Rectangle(202, 308, 17, 17))),
      NamedAtlasTexture("FontChars_SmallFont/57", AtlasTextureInfo(Rectangle(173, 375, 23, 16), Rectangle(173, 375, 23, 16))),
      NamedAtlasTexture("FontChars_SmallFont/58", AtlasTextureInfo(Rectangle(123, 266, 17, 17), Rectangle(123, 266, 17, 17))),
      NamedAtlasTexture("FontChars_SmallFont/59", AtlasTextureInfo(Rectangle(202, 205, 17, 21), Rectangle(202, 205, 17, 21))),
      NamedAtlasTexture("FontChars_SmallFont/5A", AtlasTextureInfo(Rectangle(495, 186, 15, 21), Rectangle(495, 186, 15, 21))),
      NamedAtlasTexture("FontChars_SmallFont/5B", AtlasTextureInfo(Rectangle(286, 303, 12, 19), Rectangle(286, 303, 12, 19))),
      NamedAtlasTexture("FontChars_SmallFont/5C", AtlasTextureInfo(Rectangle(488, 187, 4, 16), Rectangle(488, 187, 4, 16))),
      NamedAtlasTexture("FontChars_SmallFont/5D", AtlasTextureInfo(Rectangle(286, 324, 12, 19), Rectangle(286, 324, 12, 19))),
      NamedAtlasTexture("FontChars_SmallFont/5E", AtlasTextureInfo(Rectangle(88, 441, 11, 9), Rectangle(88, 441, 11, 9))),
      NamedAtlasTexture("FontChars_SmallFont/5F", AtlasTextureInfo(Rectangle(113, 399, 12, 2), Rectangle(113, 399, 12, 2))),
      NamedAtlasTexture("FontChars_SmallFont/60", AtlasTextureInfo(Rectangle(479, 228, 6, 3), Rectangle(479, 228, 6, 3))),
      NamedAtlasTexture("FontChars_SmallFont/61", AtlasTextureInfo(Rectangle(57, 365, 12, 10), Rectangle(57, 365, 12, 10))),
      NamedAtlasTexture("FontChars_SmallFont/62", AtlasTextureInfo(Rectangle(108, 420, 11, 16), Rectangle(108, 420, 11, 16))),
      NamedAtlasTexture("FontChars_SmallFont/63", AtlasTextureInfo(Rectangle(204, 422, 10, 9), Rectangle(204, 422, 10, 9))),
      NamedAtlasTexture("FontChars_SmallFont/64", AtlasTextureInfo(Rectangle(284, 361, 14, 14), Rectangle(284, 361, 14, 14))),
      NamedAtlasTexture("FontChars_SmallFont/65", AtlasTextureInfo(Rectangle(257, 417, 10, 9), Rectangle(257, 417, 10, 9))),
      NamedAtlasTexture("FontChars_SmallFont/66", AtlasTextureInfo(Rectangle(354, 136, 11, 19), Rectangle(354, 136, 11, 19))),
      NamedAtlasTexture("FontChars_SmallFont/67", AtlasTextureInfo(Rectangle(171, 429, 12, 14), Rectangle(171, 429, 12, 14))),
      NamedAtlasTexture("FontChars_SmallFont/68", AtlasTextureInfo(Rectangle(156, 430, 12, 14), Rectangle(156, 430, 12, 14))),
      NamedAtlasTexture("FontChars_SmallFont/69", AtlasTextureInfo(Rectangle(37, 266, 8, 11), Rectangle(37, 266, 8, 11))),
      NamedAtlasTexture("FontChars_SmallFont/6A", AtlasTextureInfo(Rectangle(354, 157, 11, 18), Rectangle(354, 157, 11, 18))),
      NamedAtlasTexture("FontChars_SmallFont/6B", AtlasTextureInfo(Rectangle(156, 413, 13, 15), Rectangle(156, 413, 13, 15))),
      NamedAtlasTexture("FontChars_SmallFont/6C", AtlasTextureInfo(Rectangle(145, 416, 9, 14), Rectangle(145, 416, 9, 14))),
      NamedAtlasTexture("FontChars_SmallFont/6D", AtlasTextureInfo(Rectangle(98, 316, 18, 9), Rectangle(98, 316, 18, 9))),
      NamedAtlasTexture("FontChars_SmallFont/6E", AtlasTextureInfo(Rectangle(83, 364, 12, 9), Rectangle(83, 364, 12, 9))),
      NamedAtlasTexture("FontChars_SmallFont/6F", AtlasTextureInfo(Rectangle(108, 438, 11, 9), Rectangle(108, 438, 11, 9))),
      NamedAtlasTexture("FontChars_SmallFont/70", AtlasTextureInfo(Rectangle(156, 361, 15, 16), Rectangle(156, 361, 15, 16))),
      NamedAtlasTexture("FontChars_SmallFont/71", AtlasTextureInfo(Rectangle(216, 414, 12, 16), Rectangle(216, 414, 12, 16))),
      NamedAtlasTexture("FontChars_SmallFont/72", AtlasTextureInfo(Rectangle(101, 449, 11, 9), Rectangle(101, 449, 11, 9))),
      NamedAtlasTexture("FontChars_SmallFont/73", AtlasTextureInfo(Rectangle(93, 266, 10, 10), Rectangle(93, 266, 10, 10))),
      NamedAtlasTexture("FontChars_SmallFont/74", AtlasTextureInfo(Rectangle(61, 454, 10, 12), Rectangle(61, 454, 10, 12))),
      NamedAtlasTexture("FontChars_SmallFont/75", AtlasTextureInfo(Rectangle(42, 365, 13, 10), Rectangle(42, 365, 13, 10))),
      NamedAtlasTexture("FontChars_SmallFont/76", AtlasTextureInfo(Rectangle(244, 417, 11, 9), Rectangle(244, 417, 11, 9))),
      NamedAtlasTexture("FontChars_SmallFont/77", AtlasTextureInfo(Rectangle(105, 266, 16, 9), Rectangle(105, 266, 16, 9))),
      NamedAtlasTexture("FontChars_SmallFont/78", AtlasTextureInfo(Rectangle(269, 417, 10, 9), Rectangle(269, 417, 10, 9))),
      NamedAtlasTexture("FontChars_SmallFont/79", AtlasTextureInfo(Rectangle(135, 432, 12, 14), Rectangle(135, 432, 12, 14))),
      NamedAtlasTexture("FontChars_SmallFont/7A", AtlasTextureInfo(Rectangle(121, 435, 11, 14), Rectangle(121, 435, 11, 14))),
      NamedAtlasTexture("FontChars_SmallFont/7B", AtlasTextureInfo(Rectangle(500, 103, 10, 19), Rectangle(500, 103, 10, 19))),
      NamedAtlasTexture("FontChars_SmallFont/7C", AtlasTextureInfo(Rectangle(508, 49, 2, 22), Rectangle(508, 49, 2, 22))),
      NamedAtlasTexture("FontChars_SmallFont/7D", AtlasTextureInfo(Rectangle(500, 124, 10, 19), Rectangle(500, 124, 10, 19))),
      NamedAtlasTexture("FontChars_SmallFont/7E", AtlasTextureInfo(Rectangle(108, 375, 11, 3), Rectangle(108, 375, 11, 3))),
      NamedAtlasTexture("QuestquestGameIcons/BoardgameWarrior", AtlasTextureInfo(Rectangle(102, -19, 128, 128), Rectangle(112, 2, 107, 85))),
      NamedAtlasTexture("QuestquestGameIcons/boardgamewizard", AtlasTextureInfo(Rectangle(296, -19, 128, 128), Rectangle(319, 2, 82, 85))),
      NamedAtlasTexture("QuestquestGameIcons/cutepriest", AtlasTextureInfo(Rectangle(-8, -22, 128, 128), Rectangle(2, 2, 108, 80))),
      NamedAtlasTexture("QuestquestGameIcons/hero_bard", AtlasTextureInfo(Rectangle(87, 71, 128, 128), Rectangle(109, 89, 91, 94))),
      NamedAtlasTexture("QuestquestGameIcons/hero_paladin", AtlasTextureInfo(Rectangle(-14, 67, 128, 128), Rectangle(2, 84, 105, 85))),
      NamedAtlasTexture("QuestquestGameIcons/hero_rogue", AtlasTextureInfo(Rectangle(-24, 146, 128, 128), Rectangle(2, 171, 89, 91))),
      NamedAtlasTexture("Test", AtlasTextureInfo(Rectangle(205, -14, 128, 128), Rectangle(221, 2, 96, 96))),
    };
  }


  std::string MainAtlas::GetName() const
  {
    return std::string("MainAtlas.png");
  }


  int32_t MainAtlas::Count() const
  {
    return 196;
  }


  NamedAtlasTexture MainAtlas::GetEntry(const int32_t index) const
  {
    assert(index >= 0 && index <= Count());
    return g_entries[index];
  }
}
